/*
 * --- file utils.h ---
 *
 * This is the file header for the utilities module, a sort of functions for
 * general porpouse
 *
 * @Author: Carles Saura
 */

#ifndef __CUSTOM_UTILS_H
#define __CUSTOM_UTILS_H

#include <stdint.h>
#include <stdarg.h>

/* This macros are used to do bit operations on compile time */
#define _SBF( f, v )                              (( v ) << ( f ))
#define _BIT( n )                                 _SBF( n, 1 )
/*-----------------------------------------------------------*/

/*
 * Simple function to (active) wait the amount of ms.
 *
 * @param ms   The amount of time to wait in ms.
 */
void Utils_delayMs( uint32_t ms);

/*-----------------------------------------------------------*/
#endif
