/*
 * This is the file header for the GPIO module
 * @Author: Carles Saura
 */

/*-----------------------------------------------------------*/
/*
 * Simple function to init the LED on the LPCXpresso LPC17xx board.
 */
void GPIO_init( unsigned long sel, unsigned long pin );

/*
 * Simple function to get the state of the port.
 */
unsigned long GPIO_getState();

/*
 * Simple function clear and set a GPIO pin.
 */
void GPIO_makeOut( unsigned long clr, unsigned long set );

/*
 * Simple function to set a GPIO pin.
 */
void GPIO_makeSet( unsigned long set );

/*
 * Simple function to clear a GPIO pin.
 */
void GPIO_makeClr( unsigned long clr );
